# Delete

Delete a Virtual Cluster by ID and name.

Providing the Virtual Cluster name in addition to the Virtual Cluster ID is redundant, but we require it as a form of confirmation that the correct cluster is being deleted.&#x20;

:::danger
This operation is irreversible and will cause all topics and data in the deleted Virtual Cluster to be lost.
:::

## Request

```bash wrap
curl https://api.warpstream.com/api/v1/delete_virtual_cluster \
-H 'warpstream-api-key: XXXXXXXXXX' \
-H 'Content-Type: application/json' \
-d '{"virtual_cluster_id": "XXXXXXXXXX", "virtual_cluster_name": "XXXXXXXXXX"}'
```

## Response

```json wrap
{}
```